Next: exp2, Previous: erf, Up: Math

### 1.15 `exp`, `expf`—exponential

Synopsis

         #include <math.h>
         double exp(double x);
         float expf(float x);

Description
`exp` and `expf` calculate the exponential of x, that is, e raised to the power x (where e is the base of the natural system of logarithms, approximately 2.71828).

You can use the (non-ANSI) function `matherr` to specify error handling for these functions.

Returns
On success, `exp` and `expf` return the calculated value. If the result underflows, the returned value is `0`. If the result overflows, the returned value is `HUGE_VAL`. In either case, `errno` is set to `ERANGE`.

Portability
`exp` is ANSI C. `expf` is an extension.